Redmine - Defect #8445

gzip for xml/json/atom results
2011-05-26 14:19 - Pavel Samokha

Status: Closed Start date: 2011-05-26
Priority: Normal Due date:

Assignee: % Done: 0%
Category: REST API Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version:

Description

Xml/Json/Atom response always plain when | request it with Accept-Encoding=gzip, while for ordinary html pages everything fine -
encoded in gzip.

Tested both locally and on redmine.org/issues.xml for example, via my code as well as using chrome/firefox.

History

#1 - 2011-05-26 14:32 - Etienne Massip
- Category set to REST API

#2 - 2011-06-01 19:01 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Invalid

Redmine does not gzip any response, including html content. You have to configure your web server to gzip atom or xml responses in addition to
html.
